Subject: Re: [PATCH v2 0/3] doc: convert fetch pull push to synopsis style

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Nov 2025 10:14:43 -0800

"Jean-Noël Avila via GitGitGadget" <[email-masked]> writes:

> Range-diff vs v1:
>
>  1:  397f56d874 ! 1:  994f6ee414 doc: convert git fetch to synopsis style
>      @@ Documentation/pull-fetch-param.adoc: namespace it's being fetched to, the type o
>        +
>        Until Git version 2.20, and unlike when pushing with
>        linkgit:git-push[1], any updates to `refs/tags/*` would be accepted
>      -@@ Documentation/pull-fetch-param.adoc: object.
>      - When the remote branch you want to fetch is known to
>      - be rewound and rebased regularly, it is expected that
>      - its new tip will not be a descendant of its previous tip
>      --(as stored in your remote-tracking branch the last time
>      -+(as stored in your remote-tracking branch the last time_
>      - you fetched).  You would want
>      - to use the `+` sign to indicate non-fast-forward updates
>      - will be needed for such branches.  There is no way to
>       @@ Documentation/pull-fetch-param.adoc: must know this is the expected usage pattern for a branch.
>        ifdef::git-pull[]

Ah, this was a spurious change that did not need to exist there, and
this round removes the whole thing.  Looks good.

>  2:  5b1e64bdf8 = 2:  6e9ea10311 doc: convert git pull to synopsis style
>  3:  e5526eaf58 = 3:  9c70b341bb doc: convert git push to synopsis style